summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/lenny/applications/tdeio-umountwrapper/debian/postrm6
-rw-r--r--debian/lenny/applications/tdeio-umountwrapper/debian/preinst9
-rw-r--r--debian/lenny/libraries/libtqt-perl/debian/control1
-rw-r--r--debian/squeeze/applications/tdeio-umountwrapper/debian/postrm6
-rw-r--r--debian/squeeze/applications/tdeio-umountwrapper/debian/preinst9
-rw-r--r--debian/squeeze/libraries/libtqt-perl/debian/control1
-rw-r--r--debian/wheezy/applications/tdeio-umountwrapper/debian/postrm6
-rw-r--r--debian/wheezy/applications/tdeio-umountwrapper/debian/preinst9
-rw-r--r--debian/wheezy/libraries/libtqt-perl/debian/control1
-rw-r--r--ubuntu/maverick/applications/tdeio-umountwrapper/debian/postrm6
-rw-r--r--ubuntu/maverick/applications/tdeio-umountwrapper/debian/preinst9
-rw-r--r--ubuntu/maverick/libraries/libtqt-perl/debian/control1
-rw-r--r--ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm6
-rw-r--r--ubuntu/precise/applications/tdeio-umountwrapper/debian/preinst9
-rw-r--r--ubuntu/precise/libraries/libtqt-perl/debian/control1
-rw-r--r--ubuntu/raring/applications/tdeio-umountwrapper/debian/postrm6
-rw-r--r--ubuntu/raring/applications/tdeio-umountwrapper/debian/preinst9
-rw-r--r--ubuntu/raring/libraries/libtqt-perl/debian/control1
18 files changed, 78 insertions, 18 deletions
diff --git a/debian/lenny/applications/tdeio-umountwrapper/debian/postrm b/debian/lenny/applications/tdeio-umountwrapper/debian/postrm
index 18fc57ee1..9a4c04dbd 100644
--- a/debian/lenny/applications/tdeio-umountwrapper/debian/postrm
+++ b/debian/lenny/applications/tdeio-umountwrapper/debian/postrm
@@ -1,7 +1,7 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
-#
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -23,6 +23,7 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
@@ -38,6 +39,7 @@ case "$1" in
# try to remove the dirs we've created for pkg-divert
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/dolphin/servicemenus/
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
;;
diff --git a/debian/lenny/applications/tdeio-umountwrapper/debian/preinst b/debian/lenny/applications/tdeio-umountwrapper/debian/preinst
index 589e2ed5c..a4d27d2cd 100644
--- a/debian/lenny/applications/tdeio-umountwrapper/debian/preinst
+++ b/debian/lenny/applications/tdeio-umountwrapper/debian/preinst
@@ -1,5 +1,5 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
#
# This program is free software; you can redistribute it and/or modify
@@ -24,10 +24,17 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
install)
+ # remove old diversions if present
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop || true
+
+ # add new diversions
dpkg-divert --package $package_name \
--divert /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop.distrib \
--rename /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
diff --git a/debian/lenny/libraries/libtqt-perl/debian/control b/debian/lenny/libraries/libtqt-perl/debian/control
index e1b839fa0..c80a71a35 100644
--- a/debian/lenny/libraries/libtqt-perl/debian/control
+++ b/debian/lenny/libraries/libtqt-perl/debian/control
@@ -12,6 +12,7 @@ Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libtqt-perl (<< 4:14.0.0~)
Breaks: libtqt-perl (<< 4:14.0.0~)
+Conflicts: libqt-perl
Description: Perl bindings for the TQt library
This module lets you use the TQt library from Perl.
It provides an object-oriented interface and is easy to use.
diff --git a/debian/squeeze/applications/tdeio-umountwrapper/debian/postrm b/debian/squeeze/applications/tdeio-umountwrapper/debian/postrm
index 18fc57ee1..9a4c04dbd 100644
--- a/debian/squeeze/applications/tdeio-umountwrapper/debian/postrm
+++ b/debian/squeeze/applications/tdeio-umountwrapper/debian/postrm
@@ -1,7 +1,7 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
-#
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -23,6 +23,7 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
@@ -38,6 +39,7 @@ case "$1" in
# try to remove the dirs we've created for pkg-divert
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/dolphin/servicemenus/
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
;;
diff --git a/debian/squeeze/applications/tdeio-umountwrapper/debian/preinst b/debian/squeeze/applications/tdeio-umountwrapper/debian/preinst
index 589e2ed5c..a4d27d2cd 100644
--- a/debian/squeeze/applications/tdeio-umountwrapper/debian/preinst
+++ b/debian/squeeze/applications/tdeio-umountwrapper/debian/preinst
@@ -1,5 +1,5 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
#
# This program is free software; you can redistribute it and/or modify
@@ -24,10 +24,17 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
install)
+ # remove old diversions if present
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop || true
+
+ # add new diversions
dpkg-divert --package $package_name \
--divert /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop.distrib \
--rename /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
diff --git a/debian/squeeze/libraries/libtqt-perl/debian/control b/debian/squeeze/libraries/libtqt-perl/debian/control
index e1b839fa0..c80a71a35 100644
--- a/debian/squeeze/libraries/libtqt-perl/debian/control
+++ b/debian/squeeze/libraries/libtqt-perl/debian/control
@@ -12,6 +12,7 @@ Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libtqt-perl (<< 4:14.0.0~)
Breaks: libtqt-perl (<< 4:14.0.0~)
+Conflicts: libqt-perl
Description: Perl bindings for the TQt library
This module lets you use the TQt library from Perl.
It provides an object-oriented interface and is easy to use.
diff --git a/debian/wheezy/applications/tdeio-umountwrapper/debian/postrm b/debian/wheezy/applications/tdeio-umountwrapper/debian/postrm
index 18fc57ee1..9a4c04dbd 100644
--- a/debian/wheezy/applications/tdeio-umountwrapper/debian/postrm
+++ b/debian/wheezy/applications/tdeio-umountwrapper/debian/postrm
@@ -1,7 +1,7 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
-#
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -23,6 +23,7 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
@@ -38,6 +39,7 @@ case "$1" in
# try to remove the dirs we've created for pkg-divert
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/dolphin/servicemenus/
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
;;
diff --git a/debian/wheezy/applications/tdeio-umountwrapper/debian/preinst b/debian/wheezy/applications/tdeio-umountwrapper/debian/preinst
index 589e2ed5c..a4d27d2cd 100644
--- a/debian/wheezy/applications/tdeio-umountwrapper/debian/preinst
+++ b/debian/wheezy/applications/tdeio-umountwrapper/debian/preinst
@@ -1,5 +1,5 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
#
# This program is free software; you can redistribute it and/or modify
@@ -24,10 +24,17 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
install)
+ # remove old diversions if present
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop || true
+
+ # add new diversions
dpkg-divert --package $package_name \
--divert /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop.distrib \
--rename /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
diff --git a/debian/wheezy/libraries/libtqt-perl/debian/control b/debian/wheezy/libraries/libtqt-perl/debian/control
index e1b839fa0..c80a71a35 100644
--- a/debian/wheezy/libraries/libtqt-perl/debian/control
+++ b/debian/wheezy/libraries/libtqt-perl/debian/control
@@ -12,6 +12,7 @@ Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libtqt-perl (<< 4:14.0.0~)
Breaks: libtqt-perl (<< 4:14.0.0~)
+Conflicts: libqt-perl
Description: Perl bindings for the TQt library
This module lets you use the TQt library from Perl.
It provides an object-oriented interface and is easy to use.
diff --git a/ubuntu/maverick/applications/tdeio-umountwrapper/debian/postrm b/ubuntu/maverick/applications/tdeio-umountwrapper/debian/postrm
index 18fc57ee1..9a4c04dbd 100644
--- a/ubuntu/maverick/applications/tdeio-umountwrapper/debian/postrm
+++ b/ubuntu/maverick/applications/tdeio-umountwrapper/debian/postrm
@@ -1,7 +1,7 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
-#
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -23,6 +23,7 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
@@ -38,6 +39,7 @@ case "$1" in
# try to remove the dirs we've created for pkg-divert
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/dolphin/servicemenus/
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
;;
diff --git a/ubuntu/maverick/applications/tdeio-umountwrapper/debian/preinst b/ubuntu/maverick/applications/tdeio-umountwrapper/debian/preinst
index 589e2ed5c..a4d27d2cd 100644
--- a/ubuntu/maverick/applications/tdeio-umountwrapper/debian/preinst
+++ b/ubuntu/maverick/applications/tdeio-umountwrapper/debian/preinst
@@ -1,5 +1,5 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
#
# This program is free software; you can redistribute it and/or modify
@@ -24,10 +24,17 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
install)
+ # remove old diversions if present
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop || true
+
+ # add new diversions
dpkg-divert --package $package_name \
--divert /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop.distrib \
--rename /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
diff --git a/ubuntu/maverick/libraries/libtqt-perl/debian/control b/ubuntu/maverick/libraries/libtqt-perl/debian/control
index e1b839fa0..c80a71a35 100644
--- a/ubuntu/maverick/libraries/libtqt-perl/debian/control
+++ b/ubuntu/maverick/libraries/libtqt-perl/debian/control
@@ -12,6 +12,7 @@ Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libtqt-perl (<< 4:14.0.0~)
Breaks: libtqt-perl (<< 4:14.0.0~)
+Conflicts: libqt-perl
Description: Perl bindings for the TQt library
This module lets you use the TQt library from Perl.
It provides an object-oriented interface and is easy to use.
diff --git a/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm b/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm
index 18fc57ee1..9a4c04dbd 100644
--- a/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm
+++ b/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm
@@ -1,7 +1,7 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
-#
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -23,6 +23,7 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
@@ -38,6 +39,7 @@ case "$1" in
# try to remove the dirs we've created for pkg-divert
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/dolphin/servicemenus/
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
;;
diff --git a/ubuntu/precise/applications/tdeio-umountwrapper/debian/preinst b/ubuntu/precise/applications/tdeio-umountwrapper/debian/preinst
index 589e2ed5c..a4d27d2cd 100644
--- a/ubuntu/precise/applications/tdeio-umountwrapper/debian/preinst
+++ b/ubuntu/precise/applications/tdeio-umountwrapper/debian/preinst
@@ -1,5 +1,5 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
#
# This program is free software; you can redistribute it and/or modify
@@ -24,10 +24,17 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
install)
+ # remove old diversions if present
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop || true
+
+ # add new diversions
dpkg-divert --package $package_name \
--divert /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop.distrib \
--rename /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
diff --git a/ubuntu/precise/libraries/libtqt-perl/debian/control b/ubuntu/precise/libraries/libtqt-perl/debian/control
index e1b839fa0..c80a71a35 100644
--- a/ubuntu/precise/libraries/libtqt-perl/debian/control
+++ b/ubuntu/precise/libraries/libtqt-perl/debian/control
@@ -12,6 +12,7 @@ Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libtqt-perl (<< 4:14.0.0~)
Breaks: libtqt-perl (<< 4:14.0.0~)
+Conflicts: libqt-perl
Description: Perl bindings for the TQt library
This module lets you use the TQt library from Perl.
It provides an object-oriented interface and is easy to use.
diff --git a/ubuntu/raring/applications/tdeio-umountwrapper/debian/postrm b/ubuntu/raring/applications/tdeio-umountwrapper/debian/postrm
index 18fc57ee1..9a4c04dbd 100644
--- a/ubuntu/raring/applications/tdeio-umountwrapper/debian/postrm
+++ b/ubuntu/raring/applications/tdeio-umountwrapper/debian/postrm
@@ -1,7 +1,7 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
-#
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -23,6 +23,7 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
@@ -38,6 +39,7 @@ case "$1" in
# try to remove the dirs we've created for pkg-divert
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/dolphin/servicemenus/
rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
;;
diff --git a/ubuntu/raring/applications/tdeio-umountwrapper/debian/preinst b/ubuntu/raring/applications/tdeio-umountwrapper/debian/preinst
index 589e2ed5c..a4d27d2cd 100644
--- a/ubuntu/raring/applications/tdeio-umountwrapper/debian/preinst
+++ b/ubuntu/raring/applications/tdeio-umountwrapper/debian/preinst
@@ -1,5 +1,5 @@
#! /bin/sh
-# -*- Mode: Sh -*-
+# -*- Mode: Sh -*-
# Author: Frode M. Døving <frode@lnix.net> (C) 2007
#
# This program is free software; you can redistribute it and/or modify
@@ -24,10 +24,17 @@ package_name=tdeio-umountwrapper-trinity
# make sure than the directories exist before running dpkg-divert
mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/dolphin/servicemenus/
mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
case "$1" in
install)
+ # remove old diversions if present
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop || true
+ dpkg-divert --package kio-umountwrapper-trinity --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop || true
+
+ # add new diversions
dpkg-divert --package $package_name \
--divert /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop.distrib \
--rename /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
diff --git a/ubuntu/raring/libraries/libtqt-perl/debian/control b/ubuntu/raring/libraries/libtqt-perl/debian/control
index e1b839fa0..c80a71a35 100644
--- a/ubuntu/raring/libraries/libtqt-perl/debian/control
+++ b/ubuntu/raring/libraries/libtqt-perl/debian/control
@@ -12,6 +12,7 @@ Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libtqt-perl (<< 4:14.0.0~)
Breaks: libtqt-perl (<< 4:14.0.0~)
+Conflicts: libqt-perl
Description: Perl bindings for the TQt library
This module lets you use the TQt library from Perl.
It provides an object-oriented interface and is easy to use.